/*
 * Copyright 2016-present Open Networking Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onosproject.yang.gen.v1.onos.yang.yangautoprefix10.level1.newlevel.rev20150205.moduletest;

import java.util.List;
import org.onosproject.yang.gen.v1.onos.yang.yangautoprefix10.level1.newlevel.rev20150205.moduletest.xml.Person;

/**
 * Abstraction of an entity which represents the functionality of xmL.
 */
public interface XmL {

    /**
     * Returns the attribute person.
     *
     * @return list of person
     */
    List<Person> person();

    /**
     * Builder for xmL.
     */
    interface XmLBuilder {

        /**
         * Returns the attribute person.
         *
         * @return list of person
         */
        List<Person> person();

        /**
         * Returns the builder object of person.
         *
         * @param person list of person
         * @return builder object of person
         */
        XmLBuilder person(List<Person> person);

        /**
         * Builds object of xmL.
         *
         * @return object of xmL.
         */
        XmL build();
    }
}