/*
 * Copyright 2016-present Open Networking Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onosproject.yang.gen.v1.onos.yang.yangautoprefix10.level1.newlevel.rev20150205.moduletest.xml;

/**
 * Abstraction of an entity which represents the functionality of person.
 */
public interface Person {

    /**
     * Returns the attribute name.
     *
     * @return value of name
     */
    String name();

    /**
     * Returns the attribute place.
     *
     * @return value of place
     */
    String place();

    /**
     * Builder for person.
     */
    interface PersonBuilder {

        /**
         * Returns the attribute name.
         *
         * @return value of name
         */
        String name();

        /**
         * Returns the attribute place.
         *
         * @return value of place
         */
        String place();

        /**
         * Returns the builder object of name.
         *
         * @param name value of name
         * @return builder object of name
         */
        PersonBuilder name(String name);

        /**
         * Returns the builder object of place.
         *
         * @param place value of place
         * @return builder object of place
         */
        PersonBuilder place(String place);

        /**
         * Builds object of person.
         *
         * @return object of person.
         */
        Person build();
    }
}